# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)


## v4.4.168
  - d3c67a52a66b Linux 4.4.168

  ACK: iwamatsu

  - 5e27a782d2cd selftests: Move networking/timestamping from Documentation

  iwamatsu - fix docmentation, move files

  - 2397ae1e4b9a rocker: fix rocker_tlv_put_* functions for KASAN

  iwamatsu - fix warning by KASAN

  - e375a05c5082 staging: speakup: Replace strncpy with memcpy

  iwamatsu - fix warning by KASAN

  - ed8c3cb1e66a matroxfb: fix size of memcpy

  ACK: iwamatsu
  
  - dc4bc70259da media: dvb-frontends: fix i2c access helpers for KASAN

  ACK: iwamatsu - fix error by KASAN

  - adc143b97d06 proc: do not access cmdline nor environ from file-backed areas

  ACK: iwamatsu
  
  - 56941bb6400c proc: don't use FOLL_FORCE for reading cmdline and environment

  ACK: iwamatsu
  
  - 079d9ea86202 mm: replace access_remote_vm() write parameter with gup_flags

  ACK: iwamatsu
  
  - 2b8143d6874b mm: replace __access_remote_vm() write parameter with gup_flags

  ACK: iwamatsu
  
  - 8e50b8b07f46 mm: replace get_user_pages() write/force parameters with gup_flags

  ACK: iwamatsu
  
  - 3ec22a6bce3f mm: replace get_vaddr_frames() write/force parameters with gup_flags

  ACK: iwamatsu
  
  - ffe6376c1803 mm: replace get_user_pages_locked() write/force parameters with gup_flags

  ACK: iwamatsu
  
  - 2b29980eb75b mm: replace get_user_pages_unlocked() write/force parameters with gup_flags

  ACK: iwamatsu
  
  - ff099ed77421 mm/nommu.c: Switch __get_user_pages_unlocked() to use __get_user_pages()

  ACK: iwamatsu
  
  - ab424c8eb71e mm: remove write/force parameters from __get_user_pages_unlocked()

  ACK: iwamatsu
  
  - 6a3c9524df93 mm: remove write/force parameters from __get_user_pages_locked()

  ACK: iwamatsu
  
  - 8aca77150a9a sr: pass down correctly sized SCSI sense buffer

  ACK: iwamatsu
  
  - c873dfa0ccbd swiotlb: clean up reporting

  ACK: iwamatsu
  
  - 0d547583faaa hugetlbfs: fix bug in pgoff overflow checking

  ACK: iwamatsu
  
  - 38d924e1d040 hugetlbfs: check for pgoff value overflow

  ACK: iwamatsu
  
  - f24fb9efea4d hugetlbfs: fix offset overflow in hugetlbfs mmap

  ACK: iwamatsu
  
  - 30a2ae50aef8 mm/hugetlb.c: don't call region_abort if region_chg fails

  ACK: iwamatsu
  
  - 954648ebf8e2 posix-timers: Sanitize overrun handling

  ACK: iwamatsu
  
  - e47b9b2b005a wil6210: missing length check in wmi_set_ie

  ACK: iwamatsu
  
  - 1c74bd22e846 bpf: Prevent memory disambiguation attack

  ACK: iwamatsu
  
  - 451624d47005 bpf/verifier: Pass instruction index to check_mem_access() and check_xadd()

  ACK: iwamatsu
  
  - 168cb9b7b283 bpf/verifier: Add spi variable to check_stack_write()

  ACK: iwamatsu
  
  - 3c4bb079e16e bpf: support 8-byte metafield access

  ACK: iwamatsu
  
  - ff3c3b181c5e KVM: SVM: Implement VIRT_SPEC_CTRL support for SSBD

  ACK: iwamatsu
  
  - 3e3a1c2ee031 x86/speculation: Use synthetic bits for IBRS/IBPB/STIBP

  ACK: iwamatsu
  
  - b5ec2b3f1199 x86/bugs, KVM: Extend speculation control for VIRT_SPEC_CTRL

  ACK: iwamatsu
  
  - 7f77d36ab3f3 KVM: SVM: Move spec control call after restore of GS

  ACK: iwamatsu
  
  - 0109a1b0a5ca x86/KVM/VMX: Expose SPEC_CTRL Bit(2) to the guest

  ACK: iwamatsu
  
  - 2658e4d66dec x86/bugs, KVM: Support the combination of guest and host IBRS

  ACK: iwamatsu
  
  - 67e326e03438 x86/uaccess: Use __uaccess_begin_nospec() and uaccess_try_nospec

  ACK: iwamatsu
  
  - 557cd0d20ec9 x86/usercopy: Replace open coded stac/clac with __uaccess_{begin, end}

  ACK: iwamatsu
  
  - 6d1d4fc34287 x86: Introduce __uaccess_begin_nospec() and uaccess_try_nospec

  ACK: iwamatsu
  
  - 45b871531cb6 x86: fix SMAP in 32-bit environments

  ACK: iwamatsu
  
  - cc8c5450b6d7 x86: reorganize SMAP handling in user space accesses

  ACK: iwamatsu
  
  - d0169c04fee0 KVM/x86: Remove indirect MSR op calls from SPEC_CTRL

  ACK: iwamatsu
  
  - 89be8950bab7 KVM/SVM: Allow direct access to MSR_IA32_SPEC_CTRL

  ACK: iwamatsu
  
  - fc6aae9f4078 KVM/VMX: Allow direct access to MSR_IA32_SPEC_CTRL

  ACK: iwamatsu
  
  - 337c26f50a71 KVM/VMX: Emulate MSR_IA32_ARCH_CAPABILITIES

  ACK: iwamatsu
  
  - 4b3870c343a8 KVM/x86: Add IBPB support

  ACK: iwamatsu
  
  - 321fbb1fad29 KVM: VMX: make MSR bitmaps per-VCPU

  ACK: iwamatsu - there is white space problem.
  
  - 8f54df9756ca KVM: VMX: introduce alloc_loaded_vmcs

  ACK: iwamatsu
  
  - 81cd492667c6 KVM: nVMX: Eliminate vmcs02 pool

  ACK: iwamatsu
  
  - 1bec1a14bb08 KVM: nVMX: mark vmcs12 pages dirty on L2 exit

  ACK: iwamatsu
  
  - e90c6ad207bc KVM: nVMX: fix msr bitmaps to prevent L2 from accessing L0 x2APIC

  ACK: iwamatsu
  
  - 8420459f1d93 ALSA: pcm: remove SNDRV_PCM_IOCTL1_INFO internal command

  ACK: iwamatsu
  
  - 7f0324fb34c4 pstore: Convert console write to use ->write_buf

  ACK: iwamatsu
  
  - 466570dc30cf ocfs2: fix potential use after free

  IGN: ocfs2

  - 5d8fe653a934 debugobjects: avoid recursive calls with kmemleak

  ACK: iwamatsu
  
  - 168a1537ca6f hfsplus: do not free node before using

  IGN: hfsplus

  - 736ba5cba268 hfs: do not free node before using

  IGN: hfs

  - 9549f09b02ad ocfs2: fix deadlock caused by ocfs2_defrag_extent()

  IGN: ocfs2

  - 8f1ee7557959 fscache, cachefiles: remove redundant variable 'cache'

  iwamtasu - Fix warning by clang.

  - b1ef956a8ba5 fscache: fix race between enablement and dropping of object

  ACK: iwamatsu
  
  - 26e081481506 xen: xlate_mmu: add missing header to fix 'W=1' warning

  ACK: iwamatsu
  
  - 0f1b4c748370 drm/ast: fixed reading monitor EDID not stable issue

  ACK: iwamatsu
  
  - 573f19f1517b net: hisilicon: remove unexpected free_netdev

  ACK: iwamatsu
  
  - 553c8675f5fe ixgbe: recognize 1000BaseLX SFP modules as 1Gbps

  ACK: iwamatsu
  
  - 6a1fb1bf8e6d net: thunderx: fix NULL pointer dereference in nic_remove

  ACK: iwamatsu
  
  - afca87e81681 KVM: x86: fix empty-body warnings

  iwamtasu - Fix warning

  - 026e6bd1a41b USB: omap_udc: fix USB gadget functionality on Palm Tungsten E

  ACK: iwamatsu
  
  - 09542b329dbf USB: omap_udc: fix omap_udc_start() on 15xx machines

  ACK: iwamatsu
  
  - 39d5919321d3 USB: omap_udc: fix crashes on probe error and module removal

  ACK: iwamatsu
  
  - a20d7a308fa2 USB: omap_udc: use devm_request_irq()

  ACK: iwamatsu
  
  - ac86c99ca19a bpf: fix check of allowed specifiers in bpf_trace_printk

  ACK: iwamatsu
  
  - d4327131dbe0 exportfs: do not read dentry after free

  ACK: iwamatsu
  
  - 476bea0f653c ASoC: omap-dmic: Add pm_qos handling to avoid overruns with CPU_IDLE

  ACK: iwamatsu
  
  - 3aa69785b7d5 ASoC: omap-mcpdm: Add pm_qos handling to avoid under/overruns with CPU_IDLE

  ACK: iwamatsu
  
  - 44b0243956db Btrfs: send, fix infinite loop due to directory rename dependencies

  IGN: btrfs

  - b9b45f496f3e hwmon: (w83795) temp4_type has writable permission

  ACK: iwamatsu
  
  - fd103a69b400 ASoC: dapm: Recalculate audio map forcely when card instantiated

  ACK: iwamatsu
  
  - 15d8d7246173 hwmon: (ina2xx) Fix current value calculation

  ACK: iwamatsu
  
  - 9ba7a303ff29 s390/cpum_cf: Reject request for sampling in event initialization

  IGN: s390

  - c65b63a085c8 sysv: return 'err' instead of 0 in __sysv_write_inode

  ACK: iwamtasu - Fix warning

  - d7589b83d628 ARM: OMAP1: ams-delta: Fix possible use of uninitialized field

  ACK: iwamatsu
  
  - d2f642b05832 ARM: OMAP2+: prm44xx: Fix section annotation on omap44xx_prm_enable_io_wakeup

  ACK: iwamatsu
  
  - a56de6cd69bd neighbour: Avoid writing before skb->head in neigh_hh_output()

  ACK: iwamatsu
  
  - 2da7c7b22b33 tun: forbid iface creation with rtnl ops

  ACK: iwamatsu
  
  - ed7748bcf290 tcp: fix NULL ref in tail loss probe

  ACK: iwamatsu
  
  - 266b50e76449 rtnetlink: ndo_dflt_fdb_dump() only work for ARPHRD_ETHER devices

  ACK: iwamatsu
  
  - d7519c01c9b8 net: Prevent invalid access to skb->prev in __qdisc_drop_all

  ACK: iwamatsu
  
  - a1ec658a588b net: phy: don't allow __set_phy_supported to add unsupported modes

  ACK: iwamatsu
  
  - 8832e33045b5 net: 8139cp: fix a BUG triggered by changing mtu with network traffic

  ACK: iwamatsu
  
  - 298e11444788 ipv6: Check available headroom in ip6_xmit() even without options

  ACK: iwamatsu
